[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# ScaleY

Resizes the specified vertical size from a given display density to the current screen PPI.

## Declaration

Source position: graphics.pp line 2057

`function ScaleY(`
`const SizeY: Integer;`
`const FromDPI: Integer`
`):Integer;`

## Arguments

`SizeY` |  | Size value scaled in the routine.
`FromDPI` |  | Original display density (Pixels per Inch).

## Function result

New vertical size after scaling.

## Description

Multiplies the values in SizeY and the PixelsPerInchY member in ScreenInfo, and divides the product by the value in FromDPI. The return value is rounded to the nearest Integer value.

## See also

TScreenInfo
MulDiv |  | Multiples the numerator by the specified Integer value, and divides the result by the denominator value.